package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.DataResultChEntity;
import com.mh.user.entity.DataResultFifteenMiEntity;
import com.mh.user.entity.DataResultFiveMiEntity;
import com.mh.user.mapper.provider.DataResultProvider;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.SelectProvider;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 每分钟保存数据
 * @date 2024-07-10 17:34:30
 */
@Mapper
public interface DataResultFifteenMiMapper extends BaseMapper<DataResultFifteenMiEntity> {

    @SelectProvider(type = DataResultProvider.class,method = "queryDataResultFifteenMi")
    List<DataResultChEntity> queryDataResultFifteenMi(@Param("projectId") String projectId,
                                                      @Param("startDate") String startDate,
                                                      @Param("curDate") String curDate,
                                                      @Param("page") int page,
                                                      @Param("limit") int limit);

    //@Select("select count(*) from  data_result_fifteen_mi  where  projectId=#{projectId} and  curDate>=#{startDate} and curDate<=#{curDate} ")
    @SelectProvider(type = DataResultProvider.class,method = "dataResultFifteenMiCount")
    int dataResultFifteenMiCount(@Param("projectId") String projectId,@Param("startDate") String startDate,@Param("curDate") String curDate);

}
