package com.mh.user.service.impl;

import com.mh.user.entity.DeviceInfoEntity;
import com.mh.user.mapper.DeviceCodeMapper;
import com.mh.user.mapper.DeviceInfoMapper;
import com.mh.user.model.ChillerModel;
import com.mh.user.model.DeviceModel;
import com.mh.user.service.DeviceInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DeviceInfoServiceImpl implements DeviceInfoService {

    @Autowired
    DeviceInfoMapper deviceInfoMapper;

    @Autowired
    DeviceCodeMapper deviceCodeMapper;

    @Override
    public List<DeviceInfoEntity> queryDeviceInfo(String systemID, String projectId,String deviceType) {
        return deviceInfoMapper.queryDeviceInfo(systemID,projectId,deviceType);
    }

    @Override
    public List<DeviceModel> selectDevices(String projectId) {
        return deviceCodeMapper.selectDevices(projectId);
    }

    @Override
    public List<ChillerModel> queryChiller(String projectId, String deviceAddr) {
        return deviceCodeMapper.queryChiller(projectId, deviceAddr);
    }

    @Override
    public ChillerModel selectChiller(String projectId, String deviceAddr) {
        return deviceInfoMapper.selectChiller(projectId, deviceAddr);
    }
}
