package com.mh.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author ljf
 * @title ：
 * @description ：网关管理实体类
 * @updateTime 2020-05-21
 * @throws ：
 */
@Setter
@Getter
@ToString
@TableName("gateway_manage")
public class GatewayManageEntity extends BaseEntity {


    private String gwName;                          // 网关名称
    private String gwIp;                            // 网关IP地址
    private String gwAddr;                          // 网关安装地址
    private int port;                               // 端口号
    private int collectionLoop;                     // 采集周期
    private Date connectTime;                       // 最新上线连接时间
    private String internetCard;                    // 物联网卡号
    private int operatorType;                       //  0:中国移动 1:中国联通 2:中国电信
    private int communicationType;                  // 通讯类型
    private String remark;                          // 备注
    private int grade;                              // 标志位(连接状态) 0：正常；1：不在线；2：异常
    private Long systemId;                          // 系统类型id
    private Long projectId;                         // 项目类型id

}
