package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.StrategyInfoEntity;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface StrategyInfoMapper extends BaseMapper<StrategyInfoEntity> {

    //查询仪表信息
    @Select("<script>" +
            "select * from strategy_info where 1=1 " +
            "<if test='systemID != null and systemID != \"\"'>" +
            "   and system_id = #{systemID} " +
            "</if>" +
            "<if test='projectId != null and projectId != \"\"'>" +
            "   and project_id = #{projectId} " +
            "</if>" +
            " order by id " +
            "</script>")
    List<StrategyInfoEntity> queryStrategyInfo(@Param("systemID") String systemID,@Param("projectId") String projectId);
}
