package com.mh.user.service;

import com.mh.common.page.PageRequest;
import com.mh.common.page.PageResult;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 基础服务类：增删查改
 * @date 2024-08-23 09:06:19
 */
public interface BaseService<T> {

    PageResult queryByPage(PageRequest pageRequest);

    void update(T entity);

    T findById(Integer id);

    void save(T entity);

    void delete(String id);
}
